player_power_data Struct Reference

Data: voltage (PLAYER_POWER_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | valid
| Status bits. More...
float | volts
| Battery voltage [V].
float | percent
| Percent of full charge [%].
float | joules
| energy stored [J]. More...
float | watts
| estimated current energy consumption (negative values) or aquisition (positive values) [W]. More...
int32_t | charging
| charge exchange status: if 1, the device is currently receiving charge from another energy device. More...

## Detailed Description

Data: voltage (PLAYER_POWER_DATA_STATE)

The `power` interface returns data in this format.

## Member Data Documentation

int32_t player_power_data::charging

charge exchange status: if 1, the device is currently receiving charge from another energy device.

If -1 the device is currently providing charge to another energy device. If 0, the device is not exchanging charge with an another device.

float player_power_data::joules

energy stored [J].

uint32_t player_power_data::valid

Status bits.

The driver will set the bits to indicate which fields it is using. Bitwise-and with PLAYER_POWER_MASK_X values to see which fields are being set.

Referenced by SegwayRMP::UpdateData().

float player_power_data::watts

estimated current energy consumption (negative values) or aquisition (positive values) [W].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45